summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-03-18 00:32:09 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-03-18 00:34:13 (EDT)
commit5321ef8f005a76004360e78481e22380f750553f (patch)
tree220c88efdc0643b23d4d931f60b8952456d03496 /tests
parentcddee020eb30a4aa8a72c0378103b810c8c1d8c7 (diff)
tests/exe/ob-gencontrol.sh: New test file
Diffstat (limited to 'tests')
-rwxr-xr-xtests/exe/ob-gencontrol.sh66
-rw-r--r--tests/local.mk3
2 files changed, 68 insertions, 1 deletions
diff --git a/tests/exe/ob-gencontrol.sh b/tests/exe/ob-gencontrol.sh
new file mode 100755
index 0000000..642da97
--- /dev/null
+++ b/tests/exe/ob-gencontrol.sh
@@ -0,0 +1,66 @@
+# Tests for ob-gencontrol
+#
+# Copyright (C) 2019 Patrick McDermott
+#
+# This file is part of opkbuild.
+#
+# opkbuild is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# opkbuild is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
+. "${TOP_SRCDIR}/tests/aux/common.sh"
+
+plan_ 8
+
+rm -Rf *'.data/'
+mkdir -p 'foo.data/usr/bin/' 'bar.data/'
+cp -p '../../src/src/foo.sh' 'foo.data/usr/bin/'
+
+for run in 'first' 'second'; do
+ command_ok_ "ob-gencontrol ${run} run exit status" -- ob-gencontrol
+ cmd_is 'control file' cat 'foo.control/control' <<-EOF
+ Package: foo
+ Source: foo
+ Version: 1.0-1
+ Architecture: i686-linux-glibc
+ Platform: all
+ Maintainer: "J. Random Hacker" <jrandom@example.com>
+ Installed-Size: 1
+ Description: Frobnicator of Objects
+ This is a frobnicator of objects. Conveniently, it also $(: \
+ )bit-bangs all
+ registers.
+ .
+ This package provides a frobnicator of objects.
+ EOF
+ cmd_is 'md5sums file' cat 'foo.control/md5sums' <<-EOF
+ 582b7bd410b9e196dfb0a706ac95bf23 /usr/bin/foo.sh
+ EOF
+ cmd_is 'control file' cat 'bar.control/control' <<-EOF
+ Package: bar
+ Source: foo
+ Version: 1.0-1
+ Architecture: all
+ Platform: all
+ Maintainer: "J. Random Hacker" <jrandom@example.com>
+ Installed-Size: 0
+ Description: Bit-bang All Registers
+ This is a frobnicator of objects. Conveniently, it also $(: \
+ )bit-bangs all
+ registers.
+ .
+ This package assists in bit-banging all yer registers.
+ EOF
+done
diff --git a/tests/local.mk b/tests/local.mk
index 589dbc4..178a91e 100644
--- a/tests/local.mk
+++ b/tests/local.mk
@@ -9,7 +9,8 @@ TESTS = \
%reldir%/exe/ob-buildenv.sh \
%reldir%/exe/ob-unpacksource.sh \
%reldir%/exe/ob-applypatches.sh \
- %reldir%/exe/ob-installdocs.sh
+ %reldir%/exe/ob-installdocs.sh \
+ %reldir%/exe/ob-gencontrol.sh
TEST_EXTENSIONS = .sh
SH_LOG_DRIVER = \
AM_TAP_AWK='$(AWK)' \